import React from 'react';
declare const AccordionSummary: import("framer-motion").CustomDomComponent<{
    children?: React.ReactNode;
    color?: import("@mui/types").OverridableStringUnion<import("@mui/joy").ColorPaletteProp, import("@mui/joy").AccordionSummaryPropsColorOverrides> | undefined;
    indicator?: React.ReactNode;
    variant?: import("@mui/types").OverridableStringUnion<import("@mui/joy").VariantProp, import("@mui/joy").AccordionSummaryPropsVariantOverrides> | undefined;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
} & import("@mui/joy").AccordionSummarySlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined;
}, "children" | "color" | "indicator" | "variant" | "sx" | keyof import("@mui/joy").AccordionSummarySlotsAndSlotProps>>;
export { AccordionSummary };
declare const AccordionDetails: import("framer-motion").CustomDomComponent<{
    children?: React.ReactNode;
    color?: import("@mui/types").OverridableStringUnion<import("@mui/joy").ColorPaletteProp, import("@mui/joy").AccordionDetailsPropsColorOverrides> | undefined;
    variant?: import("@mui/types").OverridableStringUnion<import("@mui/joy").VariantProp, import("@mui/joy").AccordionDetailsPropsVariantOverrides> | undefined;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
} & import("@mui/joy").AccordionDetailsSlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined;
}, "children" | "color" | "variant" | "sx" | keyof import("@mui/joy").AccordionDetailsSlotsAndSlotProps>>;
export { AccordionDetails };
declare const MotionAccordion: import("framer-motion").CustomDomComponent<{
    accordionId?: string | undefined;
    color?: import("@mui/types").OverridableStringUnion<import("@mui/joy").ColorPaletteProp, import("@mui/joy").AccordionPropsColorOverrides> | undefined;
    children?: React.ReactNode;
    defaultExpanded?: boolean | undefined;
    disabled?: boolean | undefined;
    expanded?: boolean | undefined;
    onChange?: ((event: React.SyntheticEvent<Element, Event>, expanded: boolean) => void) | undefined;
    variant?: import("@mui/types").OverridableStringUnion<import("@mui/joy").VariantProp, import("@mui/joy").AccordionPropsVariantOverrides> | undefined;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
} & import("@mui/joy").AccordionSlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined;
}, "children" | "color" | "onChange" | "variant" | "sx" | "accordionId" | "defaultExpanded" | "disabled" | "expanded" | keyof import("@mui/joy").AccordionSlotsAndSlotProps>>;
declare function Accordion(props: {
    summary: React.ReactNode;
    details: React.ReactNode;
    index: number;
} & React.ComponentProps<typeof MotionAccordion>): React.JSX.Element;
declare namespace Accordion {
    var displayName: string;
}
export { Accordion };
declare const MotionAccordions: import("framer-motion").CustomDomComponent<{
    children?: React.ReactNode;
    color?: import("@mui/types").OverridableStringUnion<import("@mui/joy").ColorPaletteProp, import("@mui/joy").AccordionGroupPropsColorOverrides> | undefined;
    disableDivider?: boolean | undefined;
    size?: import("@mui/types").OverridableStringUnion<"sm" | "md" | "lg", import("@mui/joy").AccordionGroupPropsSizeOverrides> | undefined;
    transition?: string | {
        initial: string;
        expanded: string;
    } | undefined;
    variant?: import("@mui/types").OverridableStringUnion<import("@mui/joy").VariantProp, import("@mui/joy").AccordionGroupPropsVariantOverrides> | undefined;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
} & import("@mui/joy").AccordionGroupSlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined;
}, "children" | "transition" | "color" | "variant" | "sx" | "disableDivider" | "size" | keyof import("@mui/joy").AccordionGroupSlotsAndSlotProps>>;
declare function Accordions(props: {
    items: {
        summary: React.ReactNode;
        details: React.ReactNode;
        defaultExpanded?: boolean;
    }[];
} & React.ComponentProps<typeof MotionAccordions>): React.JSX.Element;
declare namespace Accordions {
    var displayName: string;
}
export { Accordions };
